petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMAdaptorSetFromOptions

Sets a DMAdaptor object from options

### Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetFromOptions(DMAdaptor adaptor)

Collective on DMAdaptor

### Input Parameters

adaptor -The DMAdaptor object

### Options Database Keys

| -adaptor_monitor <bool> : Monitor the adaptation process | - . -adaptor_sequence_num <num> : Number of adaptations to generate an optimal grid
| -adaptor_target_num <num> : Set the target number of vertices N_adapt, | - 1 for automatic determination
| -adaptor_refinement_factor <r> : Set r such that N_adapt = r^dim N_orig | - . -adaptor_metric_h_min <min> : Set the minimum eigenvalue of Hessian (sqr max edge length)
| -adaptor_metric_h_max <max> : Set the maximum eigenvalue of Hessian (sqr min edge length) | -

### Keywords

DMAdaptor, convergence, options

### See Also

DMAdaptorCreate(), DMAdaptorAdapt()

### Level

beginner

### Location

src/snes/utils/dmadapt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages